Loading...
Searching...
No Matches
arun.hpp File Reference

Arun's method for computing the rotation between two point sets. More...

`#include <stdlib.h>`
`#include <Eigen/Eigen>`
`#include <Eigen/src/Core/util/DisableStupidWarnings.h>`
`#include <opengv/types.hpp>`

Go to the source code of this file.

## Namespaces

namespace | opengv
| The namespace of this library.
namespace | opengv::math
| The namespace of the math tools.

## Functions

rotation_t | opengv::math::arun (const Eigen::MatrixXd &Hcross)
| Arun's method for computing the rotation between two point sets. Core function [13].
transformation_t | opengv::math::arun_complete (const points_t &p1, const points_t &p2)
| Arun's method for complete point cloud alignment [13]. The method actually does the same than threept_arun, but has a different interface.

## Detailed Description

Arun's method for computing the rotation between two point sets.